\version "2.24.1"

N = 6
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          \new Bassoon { \I.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new ViolinSolo \with { \override BarLine.allow-span-bar = ##f } { \II.Violin.solo }
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \II.CelloSolo }
            \new CB        { \II.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa \spacing #1/12 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Flute { \IIIa.Flute }
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
          \new Bassoon { \IIIa.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine #'( 0 . 10) \IIIa.Horn.1 \IIIa.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new Bassoon { \IIIb.Bassoon }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola \with {
            soloText = \markup \whiteout "Vla solo"
            aDueText = \markup \whiteout "Tutti"
            instrumentName      = \markup \center-column { "Viola Solo" "Viola" }
            shortInstrumentName = \markup \center-column { "VlaS" "Vla" }
          } \partCombine \IIIb.ViolaSolo \IIIb.Viola
          \new CB \with {
            soloText   = \markup \whiteout "Vlc solo"
            soloIIText = \markup \whiteout "Vne solo"
            instrumentName      = \markup \center-column { "Cello Solo" "Violone Solo" }
            shortInstrumentName = \markup \center-column { "VlcS" "VneS" }
          } \partCombine \IIIb.CelloSolo \transpose c c' \IIIb.BassSolo
          \new CB { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          \new Bassoon { \IV.Bassoon }
        >>
        \new StaffGroup
           \new HornIandII \with { key=d } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new ViolinSolo \with { \override BarLine.allow-span-bar = ##f } { \IV.Violin.solo }
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola     { \IV.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \IV.CelloSolo }
            \new CB        { \IV.Cello }
          >>
        >>
      >>
    }
  }
  %}
}
